Project

General

Profile

Feature #13274

LTTng-UST should be optionally enabled

Added by Jason Dillaman about 7 years ago. Updated almost 7 years ago.

Status:
Resolved
Priority:
Normal
Assignee:
Jason Dillaman
Target version:
% Done:

0%

Source:
other
Tags:
Backport:
hammer
Reviewed:
Affected Versions:
Pull request ID:

Description

The requirements of LTTng-UST cause issues with SElinux / AppArmor, especially when combined with secured QEMU instances. This results in the VM logs being spammed with warnings:

libust[2788/2876]: Error: Error opening shm /lttng-ust-wait-5 (in get_wait_shm() at lttng-ust-comm.c:886)

Additionally, the SElinux audit log will be spammed with errors similar to below:

type=AVC msg=audit(1443535001.928:30277): avc:  denied  { write } for  pid=2876 comm="qemu-kvm" name="lttng-ust-sock-5" dev="tmpfs" ino=19243 scontext=system_u:system_r:svirt_t:s0:c297,c852 tcontext=unconfined_u:object_r:var_run_t:s0 tclass=sock_file

Related issues

Copied to rbd - Backport #13541: LTTng-UST should be optionally enabled Resolved

History

#2 Updated by Josh Durgin about 7 years ago

  • Target version set to v10.0.1

#3 Updated by Jason Dillaman about 7 years ago

  • Status changed from In Progress to Fix Under Review

#4 Updated by Jason Dillaman about 7 years ago

  • Status changed from Fix Under Review to Pending Backport
  • Backport set to hammer

#5 Updated by Jason Dillaman almost 7 years ago

  • Status changed from Pending Backport to Resolved

Also available in: Atom PDF